#ifndef __DAC_SPI_H__
#define __DAC_SPI_H__
#include "hardwareprofile.h"

#define DAC_CS      GPIO_NUM_5

#define WRITE_UPDATE    0x01

typedef enum {
    DAC_CH_0 = 0,
    DAC_CH_1 = 1,
} dac_channel_t;

void init_dac(spi_device_handle_t *spi);
void set_dac_channel(spi_device_handle_t spi, dac_channel_t channel, uint16_t value);
uint16_t volts_to_dac(int volts);
uint8_t dac_to_volts(uint16_t dac);

#endif
