#ifndef __HARDWAREPROFILE_H__
#define __HARDWAREPROFILE_H__

#include "esp_log.h"
#include "driver/gpio.h"
#include "driver/spi_master.h"

#define SPI_DOUT        GPIO_NUM_18
#define SPI_DIN         GPIO_NUM_13
#define SPI_CLOCK       GPIO_NUM_14
#define SPI_FREQ_FAST   3000000UL
#define SPI_FREQ_SLOW   2000000UL
#define SPI_FREQ_SAFE   1000000UL

#define I2C_SDA         GPIO_NUM_27
#define I2C_SCL         GPIO_NUM_26
#define EEPROM_WP       GPIO_NUM_25

#define DISPLAY485_RX   GPIO_NUM_35
#define DISPLAY485_TX   GPIO_NUM_32
#define DISPLAY485_DIR  GPIO_NUM_33

#define GENERIC485_RX    GPIO_NUM_22
#define GENERIC485_TX   GPIO_NUM_23
#define GENERIC485_DIR  GPIO_NUM_19

#define LOW_VOLTAGE_SAVE    GPIO_NUM_34

#define PARALLEL_LINES  4

#endif