#ifndef __OUTPUT_EXPANDER_H__
#define __OUTPUT_EXPANDER_H__
#include "hardwareprofile.h"
#include "driver/spi_master.h"

#define OUT_EXPANDER_CS GPIO_NUM_4
#define OUT_EXPANDER_ADD 0x40
#define OUT_EXPANDER_DIR_ADD 0x00
#define OUT_EXPANDER_GPIO_ADD 0x09

void     init_output_expander(spi_device_handle_t *spi, uint8_t add_spi_device);
void     set_output_expander(spi_device_handle_t spi, uint8_t map);

#endif