#include <string.h>
#include "listx.h"
#include "state.h"
#include "pcb.h"

//pcb_t process_pool[MAX_PROCESS];
//myLIST_HEAD(pcb_free_h);

void init_process_list() {
    /*int i;
    for(i=0; i<MAX_PROCESS; i++){
        process_pool[i].args = NULL;
        list_add_tail(&process_pool[i].p_next, &pcb_free_h);
    }*/
}

pcb_t *alloc_pcb(void *ptr){
 /*   if (list_empty( &pcb_free_h))
        return NULL;*/

    pcb_t *block;
    /*block = container_of(pcb_free_h.next, pcb_t, p_next); 
    list_del(pcb_free_h.next);*/
    block = (pcb_t*)malloc(sizeof(pcb_t));
    memset( block , 0 , sizeof(pcb_t)) ;  /*setta tutti i campi di pcb a 0 (NULL) */
    block->args = ptr;
    // Sto cercando un possibile memory leak
    return(block);
}

void free_pcb(pcb_t *p){
    //list_add_tail( &p->p_next, &pcb_free_h);
    free(p);
}

pcb_t *out_procq(struct list_head *q, pcb_t *p){
    if (p == NULL || q == NULL) return NULL;
    pcb_t *tmp;
    struct list_head *aux = q->next;
    while ( aux != q && container_of( aux, typeof(*tmp), p_next ) != p ) aux = aux->next ;
    tmp = container_of( aux, typeof(*tmp), p_next ) ;
    if( tmp == p ){
        list_del( &(tmp->p_next) );
        return tmp ;
    }
    else return NULL ;
}

void insert_procq(struct list_head *q, pcb_t *p){ 
    if ( q == NULL || p == NULL)
        return;

    list_add_tail( &(p->p_next) , q );
}

pcb_t *remove_procq(struct list_head *q){
    if (q == NULL || list_empty(q)) return NULL; 
    pcb_t *first; 
    first = container_of(q->next, typeof(*first), p_next );
    list_del(q->next);
    return first;
}
