# Pinout description

## SPI

| Funzione  |   IO      |   note    |
|-----------|-----------|-----------|
| MOSI      |   IO_18   |           |
| MISO      |   IO_13   |           |
| CLOCK     |   IO_14   |           |
| CS1       |   IO_17   |  ADC      |
| CS2       |   IO_15   |  DAC      |
| CS3       |   IO_16   | IN EXP.   |
| CS4       |   IO_16   | OUT EXP.  |

## I2C

| Funzione  |   IO      |   note    |
|-----------|-----------|-----------|
|   CLK     |   IO_26   |           |
|   DATA    |   IO_27   |           |
|WRITE PROT.|   IO_25   | Relativo alla memoria |

## UART

| Funzione  |   IO      |   note    |
|-----------|-----------|-----------|
|   RX0     |   IO_3    | default   |
|   TX0     |   IO_1    | default   |
|   RX1     |   IO_35   |           |
|   TX1     |   IO_32   |           |
|   DIR1    |   IO_33   | direzione 485 |
|   RX2     |   IO_22   |           |
|   TX2     |   IO_23   |           |
|   DIR2    |   IO_19   | direzione 485 |

## ALTRO

| Funzione  |   IO      |   note    |
|-----------|-----------|-----------|
| Power off |   IO_34   | interrupt |

## INTEGRATI

- IO Expander: MCP23S08
- ADC : MCP3208
- DAC : DAC102S085
- MEMORIA : 24LC16