#ifndef __INPUT_EXPANDER_H__
#define __INPUT_EXPANDER_H__
#include "hardwareprofile.h"

#define IN_EXPANDER_CS    GPIO_NUM_16

#define IN_EXPANDER_ADD 0x40
#define IN_EXPANDER_DIR_ADD 0x00
#define IN_EXPANDER_POL_ADD 0x01
#define IN_EXPANDER_GPIO_ADD 0x09

void init_input_expander(spi_device_handle_t *spi, uint8_t add_spi_device);
uint8_t get_input_expander(spi_device_handle_t spi);

#endif