#ifndef __UART_PRIMARY_H__
#define __UART_PRIMARY_H__

#define UART_PRIMARY_BUFFER_SIZE        1024

void init_uart_primary(QueueHandle_t *handle);
void send_packet(uint16_t receiver, uint16_t sender, uint16_t command, uint8_t *data, int len);
void send_ack(uint16_t receiver, uint16_t sender, uint16_t command);
void send_nack(uint16_t receiver, uint16_t sender, uint16_t command, uint8_t errorcode);


#endif
