#ifndef __UTILITY_H__
#define __UTILITY_H__

unsigned long get_millis();
void hexprint(uint8_t *data, int len, char* tag);
int check_bitmap_intersection(uint8_t *bitmap1, uint8_t *bitmap2, int len);
int check_bitmap_inclusion(uint8_t *bitmap1, uint8_t *bitmap2, int len);
int set_bitmap(uint8_t *dest, uint8_t *source, int len);
void set_single_bitmap(int num, uint8_t *buffer);
void clear_bitmap(uint8_t *dest, uint8_t *intersection, int len);
uint8_t simple_crc(uint8_t *data, int len);
uint8_t custom_crc(uint8_t *data, int len, uint8_t start);
void shift_array_left(uint8_t *array, int len, int shift);
uint16_t scale_to(uint16_t value, uint16_t max, uint16_t scale);

#endif
